Subject: bug#3771: 23.0.95; Tramp file error

From: [email-masked] (Eythan Weg)
Date: Tue, 07 Jul 2009 14:23:10 -0400

Michael Albinus <[email-masked]>
Tue, 07 Jul 2009 08:02:55 +0200

   [email-masked] (Eythan Weg) writes:
   
   > Start emacs -Q. On being user weg I use tramp to access on 
   > localhost  the file 
   > -rw-r--r--  1 laura laura        6 2009-07-05 09:31 test3.txt
   > in /tmp.
   >
   >
   > edit and save.  *Messages* has these lines:
   >
   > Saving file /scp:laura@localhost:/tmp/test3.txt...
   > Wrote /scp:laura@localhost:/tmp/test3.txt
   > File error: Error while changing file's mode /scp:laura@localhost:/tmp/test3.txt
   >
   > The file is updated under my ownership.
   >
   > -rw-r--r--  1 weg   weg         27 2009-07-05 09:32 test3.txt
   >
   > The backup file renamed properly: 
   > -rw-r--r--  1 laura laura        6 2009-07-05 09:31 test3.txt~
   >
   > When  tramp access a remote system in an analogous situation there 
   > is no problem.  I have a copy of the  tramp debug buffer saved if needed.
   
   [...]
   
   > In GNU Emacs 23.0.95.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1)
   >  of 2009-06-19 on gauss
   
   Last days I have fixed some few bugs in `tramp-do-copy-or-rename-file-directly',
   which does the work in your case. Could you, please, check with a fresh
   built, whether the problem still happens?
   
   Best regards, Michael.

I compiled the current version of 23.0.95.  

Tramps behaves the same way as originally
reported.  Then I tried editing another file in a
different directory with permission 664 owned by
the same user (not me).  But it does not open.
The following is a copy of *Messages* that
includes references to the two episodes:
  
  Tramp: Opening connection for laura@localhost using scp...
  Tramp: Waiting 60s for local shell to come up...
  Tramp: Sending command `ssh localhost -l laura  -q -e none && exit || exit'
  Tramp: Waiting for prompts from remote shell
  Tramp: Found remote shell prompt on `localhost'
  Saving file /scp:laura@localhost:/tmp/test4.txt...
  Wrote /scp:laura@localhost:/tmp/test4.txt
  File error: Error while changing file's mode /scp:laura@localhost:/tmp/test4.txt
  Quit [6 times]
  Mark set
  GNU Emacs 23.0.95.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1) of 2009-07-07 on gauss
  Quit [6 times]
  File error: Copying directly failed, see buffer `*tramp/scp laura@localhost*' for details.
  find-file-noselect-1: Wrong type argument: arrayp, nil

The buffer *tramp/scp laura@localhost* is empty.

If you need the a copy the debug buffer (level 8) please let me know.

Thank you.

Eythan